For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
          • Invoice Management
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
            • GETList B2B Users
            • POSTCreate Company User
            • POSTBulk Create Users
            • GETGet User Details
            • PUTUpdate User Details
            • DELDelete User
            • GETGet User Details by BigCommerce Customer ID
            • GETList Extra Fields for Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementUsers

Get User Details

GET
https://api-b2b.bigcommerce.com/api/v3/io/users/:userId
GET
/api/v3/io/users/:userId
$curl https://api-b2b.bigcommerce.com/api/v3/io/users/123 \
> -H "X-Auth-Token: <apiKey>"
1{
2 "code": 200,
3 "data": {
4 "id": 1,
5 "companyId": 42,
6 "createdAt": 1,
7 "updatedAt": 1,
8 "customerId": 12345,
9 "companyRoleName": "Approver",
10 "channelList": [
11 {
12 "channelId": 1,
13 "channelName": "Default Storefront",
14 "iconUrl": "https://s3.amazonaws.com/bc-channel-platform/channel-icons/bigcommerce.svg"
15 }
16 ],
17 "firstName": "Marie",
18 "lastName": "Curie",
19 "email": "john.doe@example.com",
20 "phoneNumber": "+1-555-123-4567",
21 "role": 1,
22 "companyRoleId": 10,
23 "uuid": "user-uuid-1",
24 "extraFields": [
25 {
26 "fieldName": "customField1",
27 "fieldValue": "value1"
28 }
29 ]
30 },
31 "meta": {
32 "message": "Success"
33 }
34}

Returns detailed user information for the user specified by userId. Unlike Get All Users, this endpoint includes extra fields by default.

Was this page helpful?
Previous

Bulk Create Users

Next

Update User Details

Built with

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

userIdintegerRequired

The unique identifier of the user as reported by Get All Users.

Response

Success
codeintegerDefaults to 200
Operation status code.
dataobject
metaobject

Errors

404
Not Found Error